Subject: Re: linux-next: build failure after merge of the akpm tree

From: Joe Perches <[email-masked]>
Date: Tue, 23 Oct 2012 12:51:29 -0700

On Tue, 2012-10-23 at 12:44 -0700, Andrew Morton wrote:
> On Tue, 23 Oct 2012 14:42:21 +1100
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi Andrew,
> > 
> > After merging the akpm tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > kernel/printk/printk_syslog.c: In function 'printk_syslog_print':
> > kernel/printk/printk_syslog.c:108:3: error: implicit declaration of function 'copy_to_user' [-Werror=implicit-function-declaration]
> > kernel/printk/printk_syslog.c: In function 'do_syslog':
> > kernel/printk/printk_syslog.c:245:3: error: implicit declaration of function 'access_ok' [-Werror=implicit-function-declaration]
> > kernel/printk/printk_syslog.c:245:18: error: 'VERIFY_WRITE' undeclared (first use in this function)
> > kernel/printk/printk_syslog.c:245:18: note: each undeclared identifier is reported only once for each function it appears in
> > 
> > Caused by commit 598815e5f25f ("printk: add printk_syslog.c and .h").
> > 
> > Presumably missing an (or some) include files - see Rule 1 in
> > Documentation/SubmitChecklist.
> > 
> > I have reverted that commit for today (and the following commit
> > 2cf91e0e4b9f ("printk: move kmsg_dump functions to separate file")).
> 
> I'll add the include.
> 
> btw, what's up with printk_syslog.h?  It includes two header files which it
> doesn't need but fails to include the two it *does* need: printk_log.h
> and types.h.
> 
> 

printk_syslog.c includes kernel.h (it includes types.h)
and printk_log.h.

I think printk_syslog.h doesn't need printk_log.h

I'd appreciate being cc'd.

There's also a needed fix for braille
and a duplicate #define.

I'll resubmit the whole series tomorrow.

cheers, Joe